Bug 135653 - SBLive! dell module does not exist
Summary: SBLive! dell module does not exist
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
(Show other bugs)
Version: 3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-14 02:25 UTC by Seth Doty
Modified: 2015-01-04 22:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-26 22:51:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Seth Doty 2004-10-14 02:25:39 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041002
Firefox/0.10.1

Description of problem:
SBLive! Dell Soundcard is not detected.  This card is supported
starting in alsa 1.0.6 but on install the module snd-emu10k1x cannot
be found and loaded with modprobe.  The system attempts to use the
standard snd-emu10k1 module for this card on the initial install.

Version-Release number of selected component (if applicable):
alsa-lib-1.0.6-1

How reproducible:
Always

Steps to Reproduce:
1.Install FC3T3
2.modprobe snd-emu10k1x
3.ERROR
    

Actual Results:  ERROR module snd-emu10k1x not found

Expected Results:  Soundcard should be detected and configured
properly, at the very least modprobe should be able to load the
correct module.

Additional info:

This is on a fresh install of FC3T3 with alsa lib 1.0.6

Comment 1 Seth Doty 2004-10-21 15:46:41 UTC
I upgraded to the 2.6.9-1.639 kernel and it still is not detected
properly.  a scan bus returns:  

pci bus 0x0002 cardnum 0x02 function 0x00: vendor 0x1102 device 0x0006
 Creative Labs [SB Live! Value] EMU10k1X

which detects the right driver there, but modprobe still will not work.


Comment 2 Dave Jones 2004-10-26 22:51:50 UTC
sounds like userspace got ahead of the kernel. AFAIK this hasn't been integrated
in the upstream kernel yet. You might want to try pushing the ALSA folks to get
their stuff merged, and we'll pick this up in an update.



Note You need to log in before you can comment on or make changes to this bug.